<p align="center">
  <img src="static/datahawk-title.png" width=40%>
</p>

---

A lightweight app that makes browsing and analyzing text data a breeze.

#### Key Features

🔍 **Intuitive Navigation**: Effortlessly browse local (or remote) data in HuggingFace, JSONL, etc., formats.<br>
⚡ **Efficient Browsing**: Stream large local (or remote) datasets without loading (or downloading) in memory.<br>
🚀 **Powerful Analysis**: Easily filter and sort data for better insights.<br>
💻 **Pretty-Print Code**: Human-friendly visualization of code embedded in your data.

Experience seamless data browsing and analysis with Datahawk 🦅!

<p align="center">
  <img src="static/demo.gif" width=90%>
</p>

Alternatives include: [Lilac](https://www.lilacml.com/), [HuggingFace Dataset Viewer](https://huggingface.co/docs/datasets-server/).


## Instructions

#### Install

Installation requires `python>=3.8`.

```shell
pip install datahawk
```

#### Run

Launch the app from anywhere as:

```shell
datahawk
```

This will start the application at `localhost:5009`.

Specify a custom port number as:

```shell
datahawk -p PORT
```

This will start the application at `localhost:PORT`.

#### Usage

Usage is quite intuitive! You can find on-screen instructions by hovering over the information icons ℹ️.


## License

Datahawk has an MIT license, as found in the [LICENSE](LICENSE) file.


## Acknowledgements

* [Hawk icon](https://www.flaticon.com/free-icon/eagleemblem_14733103) made by [IconBaandar](https://www.flaticon.com/authors/iconbaandar) from [Flaticon](https://www.flaticon.com).
